Page MenuHomePhabricator

[Migrated] Better support for links to web.archive.org in cite templates
Open, MediumPublic

Description

Make AWB change the following:
{{cite web|url=http://web.archive.org/web/YYYYMMDDTTTTTT/http://example.com/|title=Example title}} to
{{cite web|url=http://example.com/|archiveurl=http://web.archive.org/web/YYYYMMDDTTTTTT/http://example.com/|archivedate=YYYY-MM-DD|title=Example title}}
(Y=Year e.g. 2010, M=Month e.g. 12 (December), D=Day e.g. 10, T=Time e.g. 112345 (11:23:45).)

(Example:
{{cite web |url=http://web.archive.org/web/20070715115352/http://www.paxilcr.com/safety_information/important_safety_information.html |title=Important Safety Information about Paxil CR |publisher=[[GlaxoSmithKline]]}}</ref>

{{cite web |url=http://www.paxilcr.com/safety_information/important_safety_information.html |archiveurl=http://web.archive.org/web/20070715115352/http://www.paxilcr.com/safety_information/important_safety_information.html |archivedate=2007-07-15 |title=Important Safety Information about Paxil CR |publisher=[[GlaxoSmithKline]]}})

@Josve05a 17:54, 18 January 2014 (UTC)

Event Timeline

Reguyla raised the priority of this task from to Needs Triage.
Reguyla updated the task description. (Show Details)
Reguyla added a project: AutoWikiBrowser.
Reguyla moved this task to Feature request (unsorted) on the AutoWikiBrowser board.
Josve05a set Security to None.

@Josve05a 18:16, 18 January 2014 (UTC) wrote:
A list of articles with this is located at https://en.wikipedia.org/wiki/User:Josve05a/sandbox3 and was created on 9 January 2014, thanks to @Bgwhite.

@Josve05a 01:29, 19 January 2014 2014 (UTC) wrote:
The code that CHECKLINKS is using for this is available here (search for ## HACK)

@Josve05a 01:32, 19 January 2014 (UTC) wrote:
InternetArchive have now started using wayback.archive.org instead of web.archive.org, so that shold be included as well.

@GoingBatty 03:41, 19 January 2014 (UTC) wrote:
In the find statement, I suggest looking for both "http" and "https". In the replace statement, I suggest adding |archiveurl=//web.archive.org... to create a protocol-relative link.

@Makyen 03:57, 19 January 2014 (UTC) wrote:
archive.org certainly hasn't changed over to wayback.archive.org completely. Links to their site from archive pages still go to web.archive.org. In addition, I made a data request to them for the URL to an archive page. The response indicated an archive address in the web.archive.org domain. In a brief look, I found no mention of a change to wayback.archive.org on their site. When I went to wayback.archive.org I was redirected to archive.org. It appears that archives are available at wayback.archive.org URLs, but is is not ''instead of'' web.archive.org.
web.archive.org still appears to be their primary choice.

I agree with using protocol relative links, per VPP. However, that discussion was closed without an implementation plan.

@D'Ranged 1 12:32, 10 May 2014 (UTC) wrote:
@Josve05a, I also agree with @GoingBatty and @Makyen in using protocol relative links, per VPP. The decision there was:
"Use HTTPS links for HTTPS only sites, protocol relative links for sites that support both HTTP and HTTPS, and HTTP links for sites that don't support HTTPS at all"
That effectively means that this proposal would be changed to:
Make AWB change the following:

{{cite web|url=http://web.archive.org/web/YYYYMMDDTTTTTT/http://example.com/|title=Example title}}

or

{{cite web|url=https://web.archive.org/web/YYYYMMDDTTTTTT/http://example.com/|title=Example title}}
{{cite web|url=http://example.com/|archiveurl=//web.archive.org/web/YYYYMMDDTTTTTT/http://example.com/|archivedate=YYYY-MM-DD|title=Example title}}

(Y=Year e.g. 2010, M=Month e.g. 12 (December), D=Day e.g. 10, T=Time e.g. 112345 (11:23:45).
Since AWB can't possibly know if the http://example.com site supports protocol relative links, the http//: for the |url= parameter should remain unchanged for now; however, if this is to be added, there's no reason not to add the same fix for citations that already include both the |url= and |archiveurl= parameters; that would add the following to the find statement of the proposal:

{{cite web|url=http://example.com/|archiveurl=http://web.archive.org/web/YYYYMMDDTTTTTT/http://example.com/|title=Example title}}

or

{{cite web|url=http://example.com/|archiveurl=https://web.archive.org/web/YYYYMMDDTTTTTT/http://example.com/|title=Example title}}

or
This could be the start of the implementation plan the decision reached at the Village Pump lacked. If successful, it could be duplicated for other websites known to support protocol relative links. Additional steps would be to create the same tasks for the other {{cite ...| formats and modify the citation tools to exclude http: or https: in the |archiveurl= parameter to avoid the problem to start with.

@Makyen 18:55, 10 May 2014 (UTC) wrote:
A discussion about implementation was held at: https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)_Archive_123#How_should_external_protocol-relative_links_be_implemented.3F

Progress was made, and very rough steps for implementation were enumerated, including having AWB make changes. The stated objections were resolved/withdrawn. https://en.wikipedia.org/wiki/Uniform_resource_locator#Protocol-relative_URLs was written and a redirect created at link for linking in edit summaries when such changes were made.

@Makyen 18:55, 10 May 2014 (UTC) wrote:
@Josve05a, @GoingBatty what is the status of this one?

@GoingBatty 22:55, 27 July 2014 (UTC) wrote:
@Magioladitis I'm sorry, I don't have any more information on this topic.

Josve05a renamed this task from [Migrated] Archiveurl to [Migrated] Better support for links to web.archive.org in cite templates.Jul 29 2015, 12:48 AM

So what is asked here is to correct the url parameter, add |archiveurl and |archivedate, Right?

So what is asked here is to correct the url parameter, add |archiveurl and |archivedate, Right?

Yes, pretty much

Kizule triaged this task as Medium priority.May 31 2017, 7:26 PM
Kizule awarded a token.
Kizule added a subscriber: Kizule.